Main Page Widgets Namespaces Book

# fileutils.h File Reference

## Namespaces

namespace | Glib

## Classes

class | Glib::FileError
| Exception class for file-related errors. More...
class | Glib::DirIterator
| The iterator type of Glib::Dir. More...
class | Glib::Dir
| Utility class representing an open directory. More...

## Enumerations

enum | FileTest { FILE_TEST_IS_REGULAR = 1 << 0, FILE_TEST_IS_SYMLINK = 1 << 1, FILE_TEST_IS_DIR = 1 << 2, FILE_TEST_IS_EXECUTABLE = 1 << 3, FILE_TEST_EXISTS = 1 << 4 }

## Functions

FileTest | operator| (FileTest lhs, FileTest rhs)
FileTest | operator& (FileTest lhs, FileTest rhs)
FileTest | operator^ (FileTest lhs, FileTest rhs)
FileTest | operator~ (FileTest flags)
FileTest& | operator|= (FileTest& lhs, FileTest rhs)
FileTest& | operator&= (FileTest& lhs, FileTest rhs)
FileTest& | operator^= (FileTest& lhs, FileTest rhs)
bool | file_test (const std::string& filename, FileTest test)
| Returns `true` if any of the tests in the bitfield test are true.
int | mkstemp (std::string& filename_template)
| Opens a temporary file.
int | file_open_tmp (std::string& name_used, const std::string& prefix)
| Opens a file for writing in the preferred directory for temporary files (as returned by Glib::get_tmp_dir()).
int | file_open_tmp (std::string& name_used)
| Opens a file for writing in the preferred directory for temporary files (as returned by Glib::get_tmp_dir()).
std::string | file_get_contents (const std::string& filename)
| Reads an entire file into a string, with good error checking.